#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	wmctrl
Version		:	1.07
Release		:	14.4.0.0%{?dist}
Summary		:	Command line tool to interact with an X Window Manager
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://sweb.cz/tripie/utils/wmctrl

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-x86_64-jmp-1.patch
#-----------------------------------------------------------------------------
BuildRequires	:	xorg-libX11
BuildRequires	:	xorg-libXmu
#-----------------------------------------------------------------------------
%description
The '%{name}' program is a UNIX/Linux command line tool to
interact with an EWMH/NetWM compatible X Window Manager.

The tool provides command line access to almost all the
features defined in the EWMH specification. It can be used,
for example, to obtain information about the window manager,
to get a detailed list of desktops and managed windows, to
switch and resize desktops, to make windows full-screen,
always-above or sticky, and to activate, close, move, resize,
maximize and minimize them.

The command line access to these window management functions
makes it easy to automate and execute them from any application
that is able to run a command in response to an event.


#-----------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--enable-shared					\
	--disable-static				\
	--with-x					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%changelog
